Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface InternalFrameListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BasicInternalFrameUI.BasicInternalFrameListener, InternalFrameAdapter

    public interface InternalFrameListener

extends EventListener

The listener interface for receiving internal frame events. This class is functionally equivalent to the WindowListener class in the AWT.

See How to Write an Internal Frame Listener in The Java Tutorial and The Java Class Libraries (update) for further documentation.

See Also:
  `WindowListener`

Method Summary
`void` | `internalFrameActivated(InternalFrameEvent e)` Invoked when an internal frame is activated.
`void` | `internalFrameClosed(InternalFrameEvent e)` Invoked when an internal frame has been closed.
`void` | `internalFrameClosing(InternalFrameEvent e)` Invoked when an internal frame is in the process of being closed.
`void` | `internalFrameDeactivated(InternalFrameEvent e)` Invoked when an internal frame is de-activated.
`void` | `internalFrameDeiconified(InternalFrameEvent e)` Invoked when an internal frame is de-iconified.
`void` | `internalFrameIconified(InternalFrameEvent e)` Invoked when an internal frame is iconified.
`void` | `internalFrameOpened(InternalFrameEvent e)` Invoked when a internal frame has been opened.

Method Detail

### internalFrameOpened

    void internalFrameOpened(InternalFrameEvent e)

  Invoked when a internal frame has been opened.

  See Also:
    `JInternalFrame.show()`

### internalFrameClosing

    void internalFrameClosing(InternalFrameEvent e)

  Invoked when an internal frame is in the process of being closed. The close operation can be overridden at this point.

  See Also:
    `JInternalFrame.setDefaultCloseOperation(int)`

### internalFrameClosed

    void internalFrameClosed(InternalFrameEvent e)

  Invoked when an internal frame has been closed.

  See Also:
    `JInternalFrame.setClosed(boolean)`

### internalFrameIconified

    void internalFrameIconified(InternalFrameEvent e)

  Invoked when an internal frame is iconified.

  See Also:
    `JInternalFrame.setIcon(boolean)`

### internalFrameDeiconified

    void internalFrameDeiconified(InternalFrameEvent e)

  Invoked when an internal frame is de-iconified.

  See Also:
    `JInternalFrame.setIcon(boolean)`

### internalFrameActivated

    void internalFrameActivated(InternalFrameEvent e)

  Invoked when an internal frame is activated.

  See Also:
    `JInternalFrame.setSelected(boolean)`

### internalFrameDeactivated

    void internalFrameDeactivated(InternalFrameEvent e)

  Invoked when an internal frame is de-activated.

  See Also:
    `JInternalFrame.setSelected(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.